
Katello - Bug #23090

errors shown in UI missing details

04/02/2018 03:45 PM - Thomas McKay

Status: New   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello Backlog   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Updating a repository "Upstream Repository Name" with an invalid docker name results in two errors during validation. The json

returned reflects this but the UI just repeats the same message in two notices. They both say "An error occurred saving the

Repository: invalid container image name".

{

    "displayMessage": "Validation failed: Docker upstream name invalid container image name, Conta

iner repository name invalid container image name",

    "errors": {

        "docker_upstream_name": [

            "invalid container image name" 

        ],

        "container_repository_name": [

            "invalid container image name" 

        ]

    }

}

History

#1 - 04/04/2018 05:48 PM - John Mitsch

- translation missing: en.field_release set to 349

#2 - 08/15/2018 06:27 PM - Thomas McKay

- Target version changed from Katello 3.8.0 to Katello 3.9.0

#3 - 10/10/2018 06:05 PM - Zach Huntington-Meath

- Target version changed from Katello 3.9.0 to Katello Backlog

- Triaged set to No

#4 - 10/17/2018 06:03 PM - Michael Johnson

- Triaged changed from No to Yes

#5 - 08/27/2019 05:50 PM - John Mitsch

- Difficulty set to easy
